Bug 111416 - UI: All the LibreOffice Draw settings (General/view/Grid/Print) in the options menu are empty
Summary: UI: All the LibreOffice Draw settings (General/view/Grid/Print) in the option...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-08-06 17:08 UTC by Telesto
Modified: 2017-08-11 18:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-08-06 17:08:24 UTC
Description:
UI: LibreOffice Draw settings (General/view/Grid/Print) in the options menu are empty

Steps to Reproduce:
1. Open Draw
2. CTRL+F12 (Options menu)
3. Expand LibreOffice Draw. Click on General/view/Grid/Print -> All empty


Actual Results:  
Empty dialogs

Expected Results:
Dialogs should have some content


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 6.0.0.0.alpha0+
Build ID: 386fcf9be786b302cd2c6f85ff6d8d97a6777926
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-06_01:57:50
Locale: nl-NL (nl_NL); Calc: group

but not in
Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Windows 6.2; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Xisco Faulí 2017-08-06 19:56:16 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-06-11 19:56:30 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-07-21 07:20:50 (GMT)
commit	00657aef09d854c74fb426a935a3e8b1fc390bb0 (patch)
tree	fd1a9bb264fe15dcc129498e62060ecd256b1ee7
parent	fa987cbb813cfd729fe490f2f1258b7c8d7fb174 (diff)
migrate to boost::gettext

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 2 Julien Nabet 2017-08-06 21:06:56 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed this kind of trace:
warn:legacy.osl:1776:1:scripting/source/dlgprov/dlgprov.cxx:629: DialogProviderImpl::getDialog: no URL!
Comment 3 Telesto 2017-08-07 15:11:18 UTC
For the record: impress is also affected
Comment 4 Commit Notification 2017-08-09 07:50:22 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=77db82df17be6390d3187ef39067a5da0462aa96

Resolves: tdf#111416 missing draw/impress options

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2017-08-09 20:44:45 UTC
With master sources updated today, I confirm it's ok on Draw and Impress.
Thank you Caolán!